extends Node2D


# Declare member variables here. Examples:
var apple = 0
var wood = 0
var trees = 0
var seeds = 0
var garden = 0
var hut = 0
var mice = 0

var gardenpricewood = 5
var gardenpricetree = 1
var hutpriceapple = 5
var hutpricewood = 10

var workercount = 0

# Called when the node enters the scene tree for the first time.
func _ready():
	$basetime.start()
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
# warning-ignore:unused_argument
func _process(delta):
	$applelabel.text = ("Apples: " + str(apple))
	$seedlabel.text = ("Seeds: " + str(seeds))
	$treeslabel.text = ("Trees: " + str(trees))
	$woodlabel.text = ("Wood: " + str(wood))
	$gardenlabel.text = ("Gardens: " + str(garden))
	$gardenbutton.text = ("Garden (" + str(gardenpricewood) + "w " + str(gardenpricetree) + "t)")
	$hutbutton.text = ("Hut (" + str(hutpricewood) + "w " + str(hutpriceapple) + "a)")
	$hutlabel.text = ("Huts: " + str(hut))
	$mice_huts.text = ("Mice: " + str(mice) + "/" + str(hut))
	$micetime.text = ("Timeout:\n" + str(workercount))
	if apple >= 1:
		$take_seed.disabled = false
		$take_seed.visible = true
	else:
		$take_seed.disabled = true
	
	if seeds >= 1:
		$plant_tree.disabled = false
		$plant_tree.visible = true
		$seedlabel.visible = true
		$treeslabel.visible = true
	else:
		$plant_tree.disabled = true
	
	
	if trees >= 1:
		$chop_tree.disabled = false
		$chop_tree.visible = true
	else:
		$chop_tree.disabled = true
	pass
	
	if wood >= 1:
		$woodlabel.visible = true
		$gardenbutton.visible = true
		$gardenlabel.visible = true
		$hutbutton.visible = true
		$hutlabel.visible = true
	
	if trees >= gardenpricetree and wood >= gardenpricewood:
		$gardenbutton.disabled = false
	else:
		$gardenbutton.disabled = true
		
	if apple >= hutpriceapple and wood >= hutpricewood:
		$hutbutton.disabled = false
	else:
		$hutbutton.disabled = true
	
	if garden > 0:
		$sellgarden.visible = true
	else:
		$sellgarden.visible = false
	
	if workercount > 0:
		$hutbutton.disabled = true
		$micetime.visible = true
	else:
		$hutbutton.disabled = false
		$micetime.visible = false

func _on_basetime_timeout():
	apple = apple + (trees*0.1) + garden
	trees = trees + (garden*0.001)
	apple = apple - mice*1.5

func _on_collect_apple_pressed():
	apple+=0.5
	pass # Replace with function body.

func _on_take_seed_pressed():
	seeds+=2
	apple-=1
	pass # Replace with function body.

func _on_plant_tree_pressed():
	trees+=0.1
	seeds-=1
	pass # Replace with function body.

func _on_chop_tree_pressed():
	if trees >= 1:
		wood+=5
		trees-=1
	pass # Replace with function body.


func _on_play_pressed():
	$basetime.start()
	$pauselabel.visible = false
	$workertime.start()
	pass # Replace with function body.

func _on_pause_pressed():
	$basetime.stop()
	$workertime.stop()
	$pauselabel.visible = true
	pass # Replace with function body.


func _on_gardenbutton_pressed():
	if trees >= gardenpricetree and wood >= gardenpricewood:
		garden+=1
		trees-=gardenpricetree
		wood-=gardenpricewood
		gardenpricewood = gardenpricewood + gardenpricewood*0.1
		gardenpricetree = gardenpricetree + gardenpricetree*0.1
	pass # Replace with function body.


func _on_hutbutton_pressed():
	if apple >= hutpriceapple and wood >= hutpricewood:
		hut+=1
		apple-=hutpriceapple
		wood-=hutpricewood
		hutpricewood = hutpricewood + hutpricewood*0.1
		hutpriceapple = hutpriceapple + hutpriceapple*0.15
		$WAJ.visible = true
		$mice_huts.visible = true
		workercount = 20
		$workertime.start()
	pass # Replace with function body.


func _on_workertime_timeout():
	workercount-=1
	if workercount == 1:
		mice+=1
	pass # Replace with function body.
